<!DOCTYPE html>
<html <?php language_attributes(); ?>>
	<head>
		<meta charset="<?php bloginfo( 'charset' ); ?>">
		<meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=0"/>
		<link rel="profile" href="http://gmpg.org/xfn/11">
		<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>">

		<?php if (get_theme_mod('favicon','') != '') { ?>
		<link rel="shortcut icon" href="<?php echo stripslashes(get_theme_mod('favicon')); ?>" />
		<?php } ?>

		<?php wp_head(); ?>
	</head>

	<?php
	$layout = stripslashes(get_theme_mod('layout'));

	if (is_page_template( 'page-full-width.php' ) || is_page_template( 'page-home.php' )) {

	$layout = 'full-width-content';

	}
	?>

	<body <?php body_class('button_'. stripslashes(get_theme_mod('button_text_color')) .' '. $layout .''); ?>>
		<?php wp_body_open(); ?>
		<section id="site_wrap">

			<?php if (!is_page_template( 'page-login.php' )) { // don't show this if we're on a login screen ?>

			<header class="wrapper <?php echo stripslashes(get_theme_mod('menu_scheme','')); ?>" id="header" data-stellar-background-ratio="0.5">

				<div id="menu_wrap" class="clearfix">
					<div class="container">

						<!--  logo wrap -->
						<div id="logo_wrap">
						<?php get_template_part( 'logo' ); ?>
						</div>

						<?php $menu_class = 0 == get_theme_mod( 'expanded_menu','' ) ? '' : 'expanded'; ?>
						<span id="menu_toggle" class="<?php echo esc_attr( $menu_class ); ?>"></span>
					<nav id="main_menu" class="clearfix <?php echo esc_attr( $menu_class ); ?>">
						<?php wp_nav_menu( array( 'theme_location' => 'primary', 'menu_id' => 'stocky_menu', 'container_id' => 'stocky_menu_container' ) ); ?>
					</nav>

						<span href="#" id="search_toggle"></span>

						<div id="cart_links" class="clearfix">
							<ul>

								<?php if (is_user_logged_in()) { ?>

								<li>
									<a href="<?php echo wp_logout_url( home_url() ); ?>" title="<?php _e('Logout', 'stocky'); ?>" id="stocky_logout"><span><?php _e('Logout', 'stocky'); ?></span></a>
								</li>

								<?php } else { ?>

									<?php if (get_theme_mod('login_link','') != '') { ?>
									<li>
										<a href="<?php echo stripslashes(get_theme_mod('login_link')) ?>" title="<?php _e('Login', 'stocky'); ?>" id="stocky_login">
											<span><?php _e('Login', 'stocky'); ?></span>
										</a>
									</li>
									<?php } ?>

								<?php } if(function_exists('edd_get_settings')) { ?>

								<li>
									<a href="<?php echo edd_get_checkout_uri(); ?>" title="<?php _e('Cart', 'stocky'); ?>" id="head_cart">
										<span><?php _e('Cart', 'stocky'); ?> (<span id="header_cart_count" class="edd-cart-quantity"><?php echo edd_get_cart_quantity(); ?></span>)</span>
									</a>
								</li>

								<?php } ?>

							</ul>
						</div>

						<div id="search_wrap">
							<?php get_template_part("searchform","downloads"); ?>
						</div>

					</div>
					</div>

				<div class="container">



					<?php if ((is_front_page()) || ('download' == get_post_type() && is_search()) || (is_page_template('page-vendor.php')) || ((is_page_template('page-contact.php')) && (((get_theme_mod('address','') != '')) || (get_theme_mod('phone','') != '')) ) ) { ?>

					<div id="header_inner" class="<?php echo stripslashes(get_theme_mod('header_text_color')); if (!(is_front_page())) echo ' search_result_header' ?>">

						<?php if ('download' == get_post_type() && is_search()) { ?>

							<?php /* Product Search Count */
							global $wp_query;

							$count = $wp_query->found_posts;
							if ('0' != $count) { ?>

							<h2>
							<?php if ('1' == $count) {
								$string = sprintf( __('1 Product Result for %2$s', 'stocky'), $count, get_search_query() );
							} else {
								$string = sprintf( __('%1$s Product Results for %2$s', 'stocky'), $count, get_search_query() );
							}
							echo esc_attr($string); ?>
							</h2>

							<?php get_template_part("searchform","downloads"); ?>

							<?php } ?>

						<?php } elseif (is_front_page()) { ?>

							<?php get_template_part( 'logo' ); ?>

							<h2 id="slogan"><?php echo bloginfo('description'); ?></h2>

							<?php get_template_part("searchform","downloads"); ?>

						<?php } elseif (is_page_template('page-contact.php')) { ?>

							<div id="stocky_contact_info">
								<div id="stocky_contact_inner" class="clearfix">

									<?php if (get_theme_mod('address','') != '') { ?>
										<div class="contact-address">
											<?php echo stripslashes(get_theme_mod('address')); ?>
										</div>
									<?php } if (get_theme_mod('phone','') != '') { ?>
										<div class="contact-phone">
											<?php echo stripslashes(get_theme_mod('phone')); ?>
										</div>
									<?php } ?>

								</div>
							</div>

						<?php } if (is_page_template('page-vendor.php')) {

							$author = get_query_var( 'vendor' );
							$author = get_user_by( 'slug', $author );

							if ( $author ) :
								?><h2><?php printf( __( 'The Shop of %s', 'stocky' ), esc_attr( $author->display_name ) ); ?></h2><?php
							endif;

						} ?>

					</div>
					<?php } ?>

				</div>
			</header>

			<?php } /* end if is page-login.php */ ?>

			<section class="wrapper" id="content"><?php // #content ends in footer.php ?>
				<div class="container clearfix"><?php // .container ends in footer.php ?>
