<?php
function stocky_customize_register( $wp_customize ) {

//This is the theme option for the customizer
$wp_customize->add_panel( 'theme_options', array(
    'title'		=> 'Theme Options',
    'priority'	=> 9,
	)
);

//This is the migrate setting to change settings from option theme to customizer
$wp_customize->add_section(
	'options_migration',
		array(
			'title'      	=> __( 'Options Migration', 'stocky' ),
			'panel'			=> 'theme_options',
			'priority'   	=> 9,
			'capability'	=> 'edit_theme_options',
			'description'	=> __('Migrate settings from options theme framework to customizer.', 'stocky'),
		)
);

//This is the section of basic setting 
$wp_customize->add_section(
	'basic_settings',
		array(
			'title'     	=> __( 'Basic Settings', 'stocky' ),
			'panel'			=> 'theme_options',
			'priority'   	=> 10,
			'capability'  	=> 'edit_theme_options',
			'description' 	=> __('Change basic settings here.', 'stocky'),
		)
);

//This is the section of  homepage setting
$wp_customize->add_section(
	'home_page',
		array(
			'title'      	=> __( 'Home Page', 'stocky' ),
			'panel'			=> 'theme_options',
			'priority'   	=> 11,
			'capability' 	=> 'edit_theme_options',
			'description'	=> __('Change homepage settings here.', 'stocky'),
		)
);

//This is the section of  store setting
$wp_customize->add_section(
	'store_Settings',
		array(
			'title'      	=> __( 'Store settings', 'stocky' ),
			'panel' 		=> 'theme_options',
			'priority'    	=> 12,
			'capability'  	=> 'edit_theme_options',
		)
);

//This is the section of style setting
$wp_customize->add_section(
	'style_settings',
		array(
			'title'      	=> __( 'Style settings', 'stocky' ),
			'panel' 		=> 'theme_options',
			'priority'    	=> 13,
			'capability'  	=> 'edit_theme_options',
		)
);

//This is the section of contact setting 
$wp_customize->add_section(
	'contact',
		array(
			'title'      	=> __( 'Contact', 'stocky' ),
			'panel'			=> 'theme_options',
			'priority'   	=> 14,
			'capability' 	=> 'edit_theme_options',
		)
);

//This is the section of social network setting
$wp_customize->add_section(
	'social_networks',
		array(
			'title'      	=> __( 'Social Networks', 'stocky' ),
			'panel'			=> 'theme_options',
			'priority'   	=> 15,
			'capability' 	=> 'edit_theme_options',
		)
);

// Basic settings options starts
//Logo retina Display
$wp_customize->add_setting( 
	'retina',
		array(
			'default'			=> '',
			'sanitize_callback' => 'theme_slug_sanitize_checkbox'
		)
);

$wp_customize->add_control(
	'retina',
		array(
			'label'			=> __( 'Logo Retina Display', 'stocky' ),
			'description'	=> __( 'Checking this box will display your logo at half size, making it look crisp on iDevices. Make your logo twice as big as you want it to display if you uncheck this box.', 'stocky' ),
			'section'		=> 'basic_settings',
			'settings'		=> 'retina',
			'type'			=> 'checkbox',
			'priority'   	=> 10
		)
);

// Options Migration
$wp_customize->add_setting(
	'btnmigration',
		array(
			'default'			=> 'Migrate',
			'sanitize_callback' => 'esc_url_raw'
		)
);
	 
$wp_customize->add_control(
	'btnmigration', 
		array(
			'section'		=> 'options_migration',
			'settings'		=> 'btnmigration',
			'type'			=> 'button',
			'priority'  	=> 11,
			'input_attrs'	=> array(
				'class'	  => 'button button-primary',
				'onclick' => 'window.location.href="'.get_stylesheet_directory_uri().'/includes/migrate.php"',
			),
		)
);

//Insert the logo image in home page
$wp_customize->add_setting( 
	'logo',
		array(
			'default' 			=> '',
			'sanitize_callback' => 'theme_slug_sanitize_image'
		)
);

$wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize,
	'logo',
		array(
			'label'			=> __( 'Logo', 'stocky' ),
			'description'	=> __( 'Upload your logo.', 'stocky' ),
			'section'		=> 'basic_settings',
			'settings'		=> 'logo',
			'priority'   	=> 12
		)
));

//Insert the Favicon image in the tab
$wp_customize->add_setting( 
	'favicon',
		array(
			'default'			=> '',
			'sanitize_callback' => 'theme_slug_sanitize_image'
		)
);

$wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize,
	'favicon', 
		array(
			'label'			=> __( 'Favicon', 'stocky' ),
			'description'	=> __( 'The Favicon is the little 16x16 icon that appears next to your URL in the browser. It is not required, but recommended.', 'stocky' ),
			'section'		=> 'basic_settings',
			'settings'		=> 'favicon',
			'priority'   	=> 13
		)
));

//Select a layout for the site
require_once( trailingslashit( get_template_directory() ) . '/includes/radio_control/control-radio-image.php' );

$wp_customize->register_control_type( 'SCUBE_Customize_Control_Radio_Image' );

$wp_customize->add_setting(
	'layout',
		array(
			'default'           => '',
			'sanitize_callback' => 'sanitize_key',
		)
);

$wp_customize->add_control( new SCUBE_Customize_Control_Radio_Image ( $wp_customize, 
	'layout',
		array(
			'label'			=> esc_html__( 'Site Layout', 'stocky' ),
			'description'	=> __( 'Select a layout for the site.', 'stocky' ),
			'section'		=> 'basic_settings',
			'priority'   	=> 14,
			'choices' 		=> array(
				'content_right'	=> array(
					'url'   => '%s/images/2cl.png'
				),
				'content_left'	=> array(
					'url'   => '%s/images/2cr.png'
				)
			)
		)
));

//Credit Where Credit Is Due
$wp_customize->add_setting( 
	'give_credit',
		array(
			'default'			=> '1',
			'sanitize_callback' => 'theme_slug_sanitize_checkbox'
		)
);

$wp_customize->add_control(
	'give_credit', 
		array(
			'label'			=> __( 'Credit Where Credit Is Due', 'stocky' ),
			'description' 	=> __( 'Checking this box will give credit to the Stocky theme and Easy Digital Downloads in the footer.', 'stocky' ),
			'section'		=> 'basic_settings',
			'settings'		=> 'give_credit',
			'type'			=> 'checkbox',
			'priority'   	=> 15
		)
);

//keep the menu expanded and closed option
$wp_customize->add_setting( 
	'expanded_menu',
		array(
			'default'			=> '',
			'sanitize_callback' => 'theme_slug_sanitize_checkbox'
		)
);

$wp_customize->add_control(
	'expanded_menu', 
		array(
			'label'			=> __( 'Keep menu expanded', 'stocky' ),
			'description'	=> __( 'Checking this box will keep the menu open.', 'stocky' ),
			'section'		=> 'basic_settings',
			'settings'		=> 'expanded_menu',
			'type'			=> 'checkbox',
			'priority'   	=> 16
		)
);
// Basic settings options ends

// Homepage options starts
//Set home header background image
$wp_customize->add_setting( 
	'header_background',
		array(
			'default'			=> '',
			'sanitize_callback' => 'theme_slug_sanitize_image'
		)
);

$wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize,
	'header_background', 
		array(
			'label'			=> __( 'Home Header Background', 'stocky' ),
			'description'	=> __( 'Upload the image for your header background. It will be sized to 100% width of the screen.', 'stocky' ),
			'section'		=> 'home_page',
			'settings'		=> 'header_background',
			'priority'   	=> 10
		)
));

//Set home header text color
$wp_customize->add_setting( 
	'header_text_color',
		array(
			'default'			=> 'header_text_light',
			'sanitize_callback' => 'theme_slug_sanitize_radio'
		)
);

$wp_customize->add_control(
	'header_text_color', 
		array(
			'label'			=> __( 'Home Header Text Color', 'stocky' ),
			'description' 	=> __( 'Select the color for the text overlaying the image in your header. This is to help it stand apart.', 'stocky' ),
			'section' 		=> 'home_page',
			'settings' 		=> 'header_text_color',
			'type' 			=> 'radio',
			'priority'    	=> 11,
			'choices' 		=> array(
				'light_text' => 'Light',
				'dark_text'	 => 'Dark',
			)
		)
);

//Update Notice.It only work on Home Old template
$wp_customize->add_setting( 
	'update_notice',
		array(
			'default'			=> '',
			'sanitize_callback' => 'wp_filter_nohtml_kses'
		)
);

$wp_customize->add_control(
	'update_notice', 
		array(
			'label'			=> __( 'Update Notice', 'stocky' ),
			'description' 	=> __( 'Below options are deprecated from this version, but the below fields will work when you choose "Home Old" template for the website front page.', 'stocky' ),
			'section' 		=> 'home_page',
			'settings' 		=> 'update_notice',
			'type' 			=> 'hidden',
			'priority'    	=> 12
		)
);

//Call To Action Text
require_once( trailingslashit( get_template_directory() ) . '/includes/control-tinymce.php' );

$wp_customize->add_setting(
	'action_text', 
		array(
			'default'			=> '',
			'sanitize_callback' => 'wp_filter_nohtml_kses'
		)
);

$wp_customize->add_control(new WP_Customize_Teeny_Control($wp_customize, 
	'action_text', 
		array(
			'label'			=> __('Call To Action Text', 'stocky'),
			'description'	=> __( 'This appears before the footer.', 'stocky' ),
			'section' 		=> 'home_page',
			'settings' 		=> 'action_text',
			'priority'    	=> 13
		)
));

//Call To Action Background Image
$wp_customize->add_setting( 
	'call_to_action_background',
		array(
			'default'			=> '',
			'sanitize_callback' => 'theme_slug_sanitize_image'
			)
);

$wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize,
	'call_to_action_background', 
		array(
			'label'			=> __( 'Call To Action Background', 'stocky' ),
			'description' 	=> __( 'Upload the image for your call to action background. It will be sized to 100% width of the screen.', 'stocky' ),
			'section' 		=> 'home_page',
			'settings' 		=> 'call_to_action_background',
			'priority'    	=> 14
			)
));


//Max Number of Products to be Displayed on Home Page
$wp_customize->add_setting( 
	'number_of_products_on_home_page',
		array(
			'default' 			=> '25',
			'sanitize_callback' => 'wp_filter_nohtml_kses'
		)
);

$wp_customize->add_control(
	'number_of_products_on_home_page', 
		array(
			'label' 		=> __( 'Max Number of Products to be Displayed on Home Page', 'stocky' ),
			'description' 	=> __( 'How many products would you like to display on the home page before pagination starts?', 'stocky' ),
			'section' 		=> 'home_page',
			'settings' 		=> 'number_of_products_on_home_page',
			'type' 			=> 'text',
			'priority'    	=> 15
		)
);
// Homepage options ends

// Store settings options starts
//Login link settings
$wp_customize->add_setting( 
	'login_link',
		array(
			'default' 			=> '',
			'sanitize_callback' => 'wp_filter_nohtml_kses'
		)
);

$wp_customize->add_control(
	'login_link', 
		array(
			'label' 		=> __( 'Login Link', 'stocky' ),
			'description' 	=> __( 'This link will be used in the header. You must create a page and put the login form(using the Easy Digital Downloads shortcode [edd_login]) on it. Please use Login Page Template for this page. Put the entire URL in this field including the http:// or https://.', 'stocky' ),
			'section' 		=> 'store_Settings',
			'settings' 		=> 'login_link',
			'type' 			=> 'text',
			'priority'    	=> 10
		)
);

//Max Number of Products to be Displayed Per Page 
$wp_customize->add_setting( 
	'number_of_products_per_page',
		array(
			'default' 			=> '25',
			'sanitize_callback' => 'wp_filter_nohtml_kses'
		)
);

$wp_customize->add_control(
	'number_of_products_per_page', 
		array(
			'label' 		=> __( 'Max Number of Products to be Displayed Per Page', 'stocky' ),
			'description' 	=> __( 'How many products would you like to display per page, other than the home page, before pagination starts?', 'stocky' ),
			'section' 		=> 'store_Settings',
			'settings' 		=> 'number_of_products_per_page',
			'type' 			=> 'text',
			'priority'    	=> 11
		)
);

//check the box to display the EXIF data of post thumbnail on download page
$wp_customize->add_setting( 
	'display_exif',
		array(
			'default' 			=> '1',
			'sanitize_callback' => 'theme_slug_sanitize_checkbox'
		)
);

$wp_customize->add_control(
	'display_exif', 
		array(
			'label' 		=> __( 'Display EXIF data', 'stocky' ),
			'description' 	=> __( 'Checking this box will display the EXIF data of the post thumbnail on the download page.', 'stocky' ),
			'section' 		=> 'store_Settings',
			'settings' 		=> 'display_exif',
			'type' 			=> 'checkbox',
			'priority'    	=> 12
		)
);
// Store settings options ends

// Style settings options starts
//Change the menu color
$wp_customize->add_setting( 
	'menu_scheme',
		array(
		 	'default' 			=> 'dark_scheme',
			'sanitize_callback' => 'theme_slug_sanitize_radio'
		)
);

$wp_customize->add_control(
	'menu_scheme', 
		array(
			'label' 		=> __( 'Menu Color Scheme', 'stocky' ),
			'description' 	=> __( 'Select the color scheme for your menu.', 'stocky' ),
			'section' 		=> 'style_settings',
			'settings' 		=> 'menu_scheme',
			'type' 			=> 'radio',
			'priority'   	=> 10,
 			'choices' 		=> array(
 				'dark_scheme'	=> 'Dark Background, Light Text',
				'light_scheme' 	=> 'Light Background, Dark Text',
			)
 		)
);

//To enable this post author box, provide detail about the author
$wp_customize->add_setting( 
	'author_box',
		array(
			'default' 			=> 'no',
			'sanitize_callback' => 'theme_slug_sanitize_radio'
		)
);

$wp_customize->add_control(
	'author_box', 
		array(
			'label' 		=> __( 'Post Author Box', 'stocky' ),
			'description' 	=> __( 'Enable the "About This Author" box after posts? The avatar pulls from gravatar.com and the description pulls from <strong>Users > Your Profile</strong>', 'stocky' ),
			'section' 		=> 'style_settings',
			'settings' 		=> 'author_box',
			'type' 			=> 'radio',
			'priority'    	=> 11,
			'choices' 		=> array(
				'no' 	=> 'No',
				'yes' 	=> 'Yes',
			)
		)
);

//It will Change the link color 
$wp_customize->add_setting( 
	'link_color',
	 	array(
	 		'default' 			=> '#2860C5',
			'sanitize_callback' => 'sanitize_hex_color'
	 	)
);

$wp_customize->add_control( new WP_Customize_Color_Control($wp_customize,
	'link_color',
		array(
			'label'      	=> __( 'Link_Color', 'stocky' ),
			'section'    	=> 'style_settings',
			'description' 	=> __( 'Select the color for your links.', 'stocky' ),
			'settings'   	=> 'link_color',
			'priority'    	=> 12
		)
));

//It will Change the link hover color 
$wp_customize->add_setting( 
	'link_hover_color',
	 	array(
	 		'default' 			=> '#3470DC',
			'sanitize_callback' => 'sanitize_hex_color'
	 	)
);

$wp_customize->add_control( new WP_Customize_Color_Control($wp_customize,
	'link_hover_color',
		array(
			'label'      	=> __( 'Link_Hover_Color', 'stocky' ),
			'section'    	=> 'style_settings',
			'description' 	=> __( 'Select the hover color for your links.', 'stocky' ),
			'settings'   	=> 'link_hover_color',
			'priority'    	=> 13
		)
));

//It will Change the button color
$wp_customize->add_setting( 
	'button_color',
	 	array(
	 		'default' 			=> '#1E73BE',
			'sanitize_callback' => 'sanitize_hex_color'
	 	)
 );

$wp_customize->add_control( new WP_Customize_Color_Control($wp_customize,
	'button_color',
		array(
			'label'      	=> __( 'Button_Color', 'stocky' ),
			'section'    	=> 'style_settings',
			'description' 	=> __( 'Select the color for your buttons.', 'stocky' ),
			'settings'   	=> 'button_color',
			'priority'    	=> 14
		)
));

//It change the buttons inside text color
$wp_customize->add_setting( 
	'button_text_color',
		array(
			'default' 			=> 'light',
			'sanitize_callback' => 'theme_slug_sanitize_radio'
		)
);

$wp_customize->add_control(
	'button_text_color', 
		array(
			'label' 		=> __( 'Button Text Color', 'stocky' ),
			'description' 	=> __( 'Select the color for the text of your buttons. This is to help it stand apart from the button background color.', 'stocky' ),
			'section' 		=> 'style_settings',
			'settings'	 	=> 'button_text_color',
			'type' 			=> 'radio',
			'priority'   	=> 15,
			'choices' 		=> array(
				'light' => 'Light',
				'dark' 	=> 'Dark',
			)
		)
);

// Style settings options ends

// Contact settings options starts
//It provide the contact details with hidden format
$wp_customize->add_setting( 
	'contact_information',
		array(
			'default' 			=> '',
			'sanitize_callback' => 'wp_filter_nohtml_kses'
		)
);

$wp_customize->add_control(
	'contact_information', 
		array(
			'label' 		=> __( 'Contact Information', 'stocky' ),
		 	'description' 	=> __( 'The information input here displays using the Contact Page Template. You must set this template on your contact page.', 'stocky' ),
		 	'section' 		=> 'contact',
		 	'settings' 		=> 'contact_information',
			'type' 			=> 'hidden',
			'priority'    	=> 10
		)
);

//It provide the address of the company
$wp_customize->add_setting( 
	'address',
		array(
			'default' 			=> '',
			'sanitize_callback' => 'wp_filter_nohtml_kses'
		)
);

$wp_customize->add_control(
	'address', 
		array(
			'label'	 		=> __( 'Physical Address', 'stocky' ),
			'description' 	=> __( 'Enter your full address.', 'stocky' ),
			'section' 		=> 'contact',
		 	'settings' 		=> 'address',
		 	'type' 			=> 'text',
			'priority'    	=> 11
		)
);

//It provide the contact number
$wp_customize->add_setting( 
	'phone',
		array(
			'default' 			=> '',
			'sanitize_callback' => 'wp_filter_nohtml_kses'
		)
);

$wp_customize->add_control(
	'phone', 
		array(
			'label' 		=> __( 'Phone Number', 'stocky' ),
			'description' 	=> __( 'Enter your phone number.', 'stocky' ),
			'section' 		=> 'contact',
			'settings' 		=> 'phone',
			'type' 			=> 'text',
			'priority'   	=> 12
		)
);
// Contact settings options ends

// Social Network settings options starts
//Twitter account details
$wp_customize->add_setting( 
	'twitter',
		array(
			'default' 			=> '',
			'sanitize_callback' => 'wp_filter_nohtml_kses'
		)
);

$wp_customize->add_control(
	'twitter', 
		array(
			'label' 		=> __( 'Twitter', 'stocky' ),
		 	'description'	=> __( 'Enter the URL to your Twitter profile.', 'stocky' ),
		 	'section'	 	=> 'social_networks',
		 	'settings' 		=> 'twitter',
		 	'type' 			=> 'text',
			'priority'    	=> 10
		)
);

//Facebook account details
$wp_customize->add_setting( 
	'facebook',
		array(
		 	'default' 			=> '',
			'sanitize_callback' => 'wp_filter_nohtml_kses'
		)
);

$wp_customize->add_control(
	'facebook', 
		array(
			'label' 		=> __( 'Facebook', 'stocky' ),
			'description' 	=> __( 'Enter the URL to your Facebook profile.', 'stocky' ),
			'section' 		=> 'social_networks',
			'settings' 		=> 'facebook',
			'type' 			=> 'text',
			'priority'    	=> 11
		)
);

//Google+ account details
$wp_customize->add_setting( 
	'google',
		array(
			'default' 			=> '',
			'sanitize_callback' => 'wp_filter_nohtml_kses'
		)
);

$wp_customize->add_control(
	'google', 
		array(
			'label' 		=> __( 'Google+', 'stocky' ),
			'description' 	=> __( 'Enter the URL to your Google+ profile.', 'stocky' ),
			'section' 		=> 'social_networks',
			'settings' 		=> 'google',
			'type' 			=> 'text',
			'priority'    	=> 12
		)
);

//Flickr account details
$wp_customize->add_setting( 
	'flickr',
		array(
			'default' 			=> '',
			'sanitize_callback' => 'wp_filter_nohtml_kses'
		)
);

$wp_customize->add_control(
	'flickr', 
		array(
			'label' 		=> __( 'Flickr', 'stocky' ),
			'description' 	=> __( 'Enter the URL to your Flickr profile.', 'stocky' ),
			'section' 		=> 'social_networks',
			'settings' 		=> 'flickr',
			'type' 			=> 'text',
			'priority'    	=> 13
		)
);

//Tumblr account details
$wp_customize->add_setting( 
	'tumblr',
		array(
			'default' 			=> '',
			'sanitize_callback' => 'wp_filter_nohtml_kses'
		)
);

$wp_customize->add_control(
	'tumblr', 
		array(
			'label' 		=> __( 'Tumblr', 'stocky' ),
			'description' 	=> __( 'Enter the URL to your Tumblr profile.', 'stocky' ),
			'section' 		=> 'social_networks',
			'settings' 		=> 'tumblr',
			'type' 			=> 'text',
			'priority'    	=> 14
		)
);

//Youtube account details
$wp_customize->add_setting( 
	'youtube',
		array(
			'default' 			=> '',
			'sanitize_callback' => 'wp_filter_nohtml_kses'
		)
);

$wp_customize->add_control(
	'youtube', 
		array(
			'label' 		=> __( 'YouTube', 'stocky' ),
			'description' 	=> __( 'Enter the URL to your YouTube profile.', 'stocky' ),
			'section' 		=> 'social_networks',
			'settings' 		=> 'youtube',
			'type' 			=> 'text',
			'priority'    	=> 15
		)
);

//Vimeo account details
$wp_customize->add_setting( 
	'vimeo',
		array(
			'default' 			=> '',
			'sanitize_callback' => 'wp_filter_nohtml_kses'
		)
);

$wp_customize->add_control(
	'vimeo', 
		array(
			'label' 		=> __( 'Vimeo', 'stocky' ),
			'description' 	=> __( 'Enter the URL to your Vimeo profile.', 'stocky' ),
			'section' 		=> 'social_networks',
			'settings' 		=> 'vimeo',
			'type' 			=> 'text',
			'priority'    	=> 16
		)
);

//piterest account details
$wp_customize->add_setting( 
	'pinterest',
		array(
			'default' 			=> '',
			'sanitize_callback' => 'wp_filter_nohtml_kses'
		)
);

$wp_customize->add_control(
	'pinterest', 
		array(
			'label' 		=> __( 'Pinterest', 'stocky' ),
			'description' 	=> __( 'Enter the URL to your Pinterest profile.', 'stocky' ),
			'section' 		=> 'social_networks',
			'settings' 		=> 'pinterest',
			'type' 			=> 'text',
			'priority'    	=> 17
		)
);

//LinkedIn account details
$wp_customize->add_setting( 
	'linkedin',
		array(
			'default' 			=> '',
			'sanitize_callback' => 'wp_filter_nohtml_kses'
		)
);

$wp_customize->add_control(
	'linkedin', 
		array(
			'label' 		=> __( 'LinkedIn', 'stocky' ),
			'description' 	=> __( 'Enter the URL to your LinkedIn profile.', 'stocky' ),
			'section' 		=> 'social_networks',
			'settings' 		=> 'linkedin',
			'type' 			=> 'text',
			'priority'    	=> 18
		)
);

//Instagram account details
$wp_customize->add_setting( 
	'instagram',
		array(
			'default' 			=> '',
			'sanitize_callback' => 'wp_filter_nohtml_kses'
		)
);

$wp_customize->add_control(
	'instagram', 
		array(
			'label' 		=> __( 'Instagram', 'stocky' ),
			'description' 	=> __( 'Enter the URL to your Instagram profile.', 'stocky' ),
			'section' 		=> 'social_networks',
			'settings' 		=> 'instagram',
			'type' 			=> 'text',
			'priority'    	=> 19
		)
);
// Social Network settings options ends
}
add_action( 'customize_register', 'stocky_customize_register' );
?>