<?php
class SCUBE_Customize_Control_Radio_Image extends WP_Customize_Control {
	public $type = 'radio-image';

	public function enqueue() {
		wp_enqueue_script( 'jquery-ui-button'          );
		wp_enqueue_script( 'scube-customize-controls', get_template_directory_uri() . '/includes/radio_control/customize-controls.js', array( 'jquery' ) );
		wp_enqueue_style(  'scube-customize-controls', get_template_directory_uri() . '/includes/radio_control/customize-controls.css'                  );
	}

	public function to_json() {
		parent::to_json();

		foreach ( $this->choices as $value => $args )
			$this->choices[ $value ]['url'] = esc_url( sprintf( $args['url'], get_template_directory_uri(), get_stylesheet_directory_uri() ) );

		$this->json['choices'] = $this->choices;
		$this->json['link']    = $this->get_link();
		$this->json['value']   = $this->value();
		$this->json['id']      = $this->id;
	}

	public function content_template() { ?>

		<# if ( ! data.choices ) {
			return;
		} #>

		<# if ( data.label ) { #>
			<span class="customize-control-title">{{ data.label }}</span>
		<# } #>

		<# if ( data.description ) { #>
			<span class="description customize-control-description">{{{ data.description }}}</span>
		<# } #>

		<div class="buttonset">
			<# for ( key in data.choices ) { #>
				<input type="radio" style="display:none;" value="{{ key }}" name="_customize-{{ data.type }}-{{ data.id }}" id="{{ data.id }}-{{ key }}" {{{ data.link }}} <# if ( key === data.value ) { #> checked="checked" <# } #> />

				<label for="{{ data.id }}-{{ key }}">
					<span class="screen-reader-text">{{ data.choices[ key ]['label'] }}</span>
					<img src="{{ data.choices[ key ]['url'] }}" alt="{{ data.choices[ key ]['label'] }}" />
				</label>
			<# } #>
		</div>
	<?php }
}